Authorize site access
Returns where a person's browser goes to open a private site: the site's sign-in address, with a grant of a minute for the caller and the site, which the sites' server exchanges for a cookie of the site's host alone. Only people open private sites.
POST
Returns where a person's browser goes to open a private site: the site's sign-in address, with a grant of a minute for the caller and the site, which the sites' server exchanges for a cookie of the site's host alone. Only people open private sites.
bearerheader
AuthorizationBearer <token>An access token, or an API key.
project*stringThe project's ID.
Match
^prj_[0-7][0-9a-hjkmnp-tv-z]{25}$site*stringThe site's ID.
Match
^sit_[0-7][0-9a-hjkmnp-tv-z]{25}$application/json- body
path?stringThe path to open on the site, starting with /; / unless set.
Match
^$|^/([^/\\][^\\]*)?$Length
length <= 2048OK
application/json- response
redirectUri*stringThe site's sign-in address, with a grant of a minute for the caller and the site, which leads on to the path.
curl -X POST 'https://api.kosem.ai/v1/projects/string/sites/string/authorize-access' \
-H 'Content-Type: application/json' \
-d '{}'Example Response
{
"redirectUri": "string"
}